import { Stack } from "petals-stem/dist/src/block/kinds/stack";
import { Hat } from "petals-stem/dist/src/block/kinds/hat";
import { Input } from "petals-stem/dist/src/block/input";
import { Block } from "petals-stem/dist/src/block";
import { Renderer } from "./renderer";
import { Field } from "petals-stem";
export declare class TextRenderer extends Renderer<string> {
    private chalk;
    private stringsManager;
    constructor(language?: "English", colorLevel?: 0 | 1 | 2 | 3);
    renderStack(b: Stack | Hat | undefined, dark: boolean): string;
    renderBlock(b: Block, dark: boolean, includeParns?: boolean): string;
    renderInput(i: Input | Field, dark: boolean, includeParns?: boolean): string;
    wrapColorForCategory(category: string, opcode: string, str: string, dark: boolean, includeParns?: boolean): string;
}
